# Enum SchlegelCalculator.Statistic

java.lang.Object
java.lang.Enum<SchlegelCalculator.Statistic>
uk.ac.starlink.ttools.calc.SchlegelCalculator.Statistic

All Implemented Interfaces:
  `Serializable, Comparable<SchlegelCalculator.Statistic>, java.lang.constant.Constable`

Enclosing class:
  `SchlegelCalculator`

public static enum SchlegelCalculator.Statistic extends Enum<SchlegelCalculator.Statistic>
Enumerates statistics available from the IPAC dust service.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MAX`
Maximum value.
`MEAN`
Mean value.
`MIN`
Minimum value.
`REF_PIXEL`
Value at reference pixel.
`STD`
Standard deviation.

## Method Summary

Modifier and Type
Method
Description
`static SchlegelCalculator.Statistic`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SchlegelCalculator.Statistic[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MEAN

public static final SchlegelCalculator.Statistic MEAN
Mean value.

### REF_PIXEL

public static final SchlegelCalculator.Statistic REF_PIXEL
Value at reference pixel.

### STD

public static final SchlegelCalculator.Statistic STD
Standard deviation.

### MAX

public static final SchlegelCalculator.Statistic MAX
Maximum value.

### MIN

public static final SchlegelCalculator.Statistic MIN
Minimum value.

## Method Details

### values

public static SchlegelCalculator.Statistic[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SchlegelCalculator.Statistic valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null